# Uses of Interface
org.opensaml.saml.ext.saml2mdui.DomainHint

Packages that use DomainHint
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of DomainHint in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type DomainHint
Modifier and Type
Method
Description
`List<DomainHint>`
DiscoHints.`getDomainHints()`
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.

## Uses of DomainHint in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement DomainHint
Modifier and Type
Class
Description
`class`
`DomainHintImpl`
Concrete implementation of `DomainHint`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return DomainHint
Modifier and Type
Method
Description
`DomainHint`
DomainHintBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DomainHint`
DomainHintBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type DomainHint
Modifier and Type
Method
Description
`List<DomainHint>`
DiscoHintsImpl.`getDomainHints()`
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.